# Yahoo! UI Library

### Charts Widget 2.5.0

Yahoo! UI Library > charts > YAHOO.widget.NumericAxis

Show Private Show Protected

## Class YAHOO.widget.NumericAxis

A type of axis whose units are measured in numeric values.

### Constructor

YAHOO.widget.NumericAxis `( )`

### Properties

#### alwaysShowZero `- Boolean`

If true, and the bounds are calculated automatically, either the minimum or maximum will be set to zero.

#### majorUnit `- Number`

The spacing between major intervals on this axis.

#### maximum `- Number`

The maximum value drawn by the axis. If not set explicitly, the axis maximum will be calculated automatically.

#### minimum `- Number`

The minimum value drawn by the axis. If not set explicitly, the axis minimum will be calculated automatically.

#### minorUnit `- Number`

The spacing between minor intervals on this axis.

#### scale `- String`

The scaling algorithm to use on this axis. May be "linear" or "logarithmic".

#### snapToUnits `- Boolean`

If true, the labels, ticks, gridlines, and other objects will snap to the nearest major or minor unit. If false, their position will be based on the minimum value.

Copyright © 2007 Yahoo! Inc. All rights reserved.